curl --request PATCH \
--url https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_locations": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"clinician_id": null,
"provider_group_id": null,
"insurance_types": [],
"plans": [],
"excluded_plans": [],
"medicaid_id": null,
"ipa_required": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"
payload = {
"service_locations": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"clinician_id": None,
"provider_group_id": None,
"insurance_types": [],
"plans": [],
"excluded_plans": [],
"medicaid_id": None,
"ipa_required": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_locations: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
clinician_id: null,
provider_group_id: null,
insurance_types: [],
plans: [],
excluded_plans: [],
medicaid_id: null,
ipa_required: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Update Payor Contract
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
At least one service location is required.
1The clinician's Silna identifier. Specify either clinician_id or provider_group_id.
The provider group's Silna identifier. Specify either clinician_id or provider_group_id.
Specifies which insurance types this contract covers. When no types are selected, the contract applies to all insurance types.
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE Select specific plans to include. When no plans are selected, the contract applies to all plans. Cannot be combined with excluded_plans.
Select specific plans to exclude. The contract will apply to all plans except those selected. Cannot be combined with plans.
Medicaid ID
When enabled, this contract only applies when the patient is associated with one of the contract's IPAs.
Response
OK